microsoft-foundry.rest.security.o-auth2-auth
Memory Stores
Delete a memory store
DELETE
/memory_stores/{name}
Deletes the specified memory store.
Header parameters
Foundry-Features
enum
required
A feature flag opt-in required when using preview operations or modifying persisted preview resources.
MemoryStores=V1Preview
Path parameters
name
string
required
The name of the memory store to delete.
Query parameters
api-version
string
required
The API version to use for this operation.
Responses
The request has succeeded.
Body
Content-Type: application/json
object
enum
required
The object type. Always 'memory_store.deleted'.
memory_store.deleted
name
string
required
The name of the memory store.
deleted
boolean
required
Whether the memory store was successfully deleted.
Request
DELETE /memory_stores/{name} HTTP/1.1
Response
Status: 200
Content-Type: application/json
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json